export interface ITableDataItem {
  [key: string]: any
}

export type IPaginationInfo = {
  showPagination: boolean
  currentPage: number
  pageSize: number
  pageSizes: number[]
  total: number
}

/**
 * @param record 创建的新数据
 */
export type ICreateRow = (record: ITableDataItem) => void
/**
 * @param index 修改的索引(如果是由插槽获取的该数据则会自动绑定该数据，直接传入修改完后的新数据即可)
 * @param newRecord 修改完后的新数据
 */
export type IUpdateRow = (index: number, newRecord: ITableDataItem) => void
/**
 * @param index 同修改的索引
 */
export type IDeleteRow = (index: number) => void

export type IOnCreated = (callback: ICreateRow) => void

export interface IHandleProTableData {
  createRow: ICreateRow
  updatedRow: IUpdateRow
  deleteRow: IDeleteRow
}
